﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Linq;
using System.Linq.Expressions;
using System.Web;
using System.Web.Mvc;
using System.Web.UI.WebControls;
using System.Xml;
using Syncfusion.Linq;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {

        public ActionResult Index()
        {
            ViewBag.datasource = new NorthwindDataContext().OrdersViews.Take(5).ToList();
            return View();
        }
        public ActionResult Data()
        {
            var data = new NorthwindDataContext().OrdersViews.Take(10).ToList();
            return Json(data);
        }
        public ActionResult Update(EditableOrder value)
        {
            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult Insert(EditableOrder value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult Delete(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }

               
    }
}